ON_Workspace Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_workspace.h>`

## Public Member Functions

| ON_Workspace ()
| ~ON_Workspace ()
void | Destroy ()
void * | GetMemory (size_t sz)
int * | GetIntMemory (size_t count)
int ** | GetIntMemory (size_t row_count, size_t col_count)
double * | GetDoubleMemory (size_t count)
double ** | GetDoubleMemory (size_t row_count, size_t col_count)
ON_3dPoint * | GetPointMemory (size_t count)
ON_3dVector * | GetVectorMemory (size_t count)
void * | GrowMemory (void *ptr, size_t sz)
int * | GrowIntMemory (int *ptr, size_t count)
double * | GrowDoubleMemory (double *ptr, size_t count)
ON_3dPoint * | GrowPointMemory (ON_3dPoint *ptr, size_t count)
ON_3dVector * | GrowVectorMemory (ON_3dVector *ptr, size_t count)
ON_BOOL32 | KeepMemory (void *ptr)
void | KeepAllMemory ()
FILE * | OpenFile (const char *filename, const char *filemode)
FILE * | OpenFile (const wchar_t *filename, const wchar_t *filemode)
int | KeepFile (FILE *fileptr)

## Detailed Description

Definition at line 26 of file opennurbs_workspace.h.

## Constructor & Destructor Documentation

## ON_Workspace()

ON_Workspace::ON_Workspace | ( |  | ) |

## ~ON_Workspace()

ON_Workspace::~ON_Workspace | ( |  | ) |

## Member Function Documentation

## Destroy()

void ON_Workspace::Destroy | ( |  | ) |

## GetDoubleMemory() [1/2]

double* ON_Workspace::GetDoubleMemory | ( | size_t | count | ) |

## GetDoubleMemory() [2/2]

double** ON_Workspace::GetDoubleMemory | ( | size_t | row_count,
|  | size_t | col_count
| ) |  |

## GetIntMemory() [1/2]

int* ON_Workspace::GetIntMemory | ( | size_t | count | ) |

## GetIntMemory() [2/2]

int** ON_Workspace::GetIntMemory | ( | size_t | row_count,
|  | size_t | col_count
| ) |  |

## GetMemory()

void* ON_Workspace::GetMemory | ( | size_t | sz | ) |

## GetPointMemory()

ON_3dPoint* ON_Workspace::GetPointMemory | ( | size_t | count | ) |

## GetVectorMemory()

ON_3dVector* ON_Workspace::GetVectorMemory | ( | size_t | count | ) |

## GrowDoubleMemory()

double* ON_Workspace::GrowDoubleMemory | ( | double * | ptr,
|  | size_t | count
| ) |  |

## GrowIntMemory()

int* ON_Workspace::GrowIntMemory | ( | int * | ptr,
|  | size_t | count
| ) |  |

## GrowMemory()

void* ON_Workspace::GrowMemory | ( | void * | ptr,
|  | size_t | sz
| ) |  |

## GrowPointMemory()

ON_3dPoint* ON_Workspace::GrowPointMemory | ( | ON_3dPoint * | ptr,
|  | size_t | count
| ) |  |

## GrowVectorMemory()

ON_3dVector* ON_Workspace::GrowVectorMemory | ( | ON_3dVector * | ptr,
|  | size_t | count
| ) |  |

## KeepAllMemory()

void ON_Workspace::KeepAllMemory | ( |  | ) |

## KeepFile()

int ON_Workspace::KeepFile | ( | FILE * | fileptr | ) |

## KeepMemory()

ON_BOOL32 ON_Workspace::KeepMemory | ( | void * | ptr | ) |

## OpenFile() [1/2]

FILE* ON_Workspace::OpenFile | ( | const char * | filename,
|  | const char * | filemode
| ) |  |

## OpenFile() [2/2]

FILE* ON_Workspace::OpenFile | ( | const wchar_t * | filename,
|  | const wchar_t * | filemode
| ) |  |

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_workspace.h